=== debian/changelog ===
libonvif-dmo (3.1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Aug 2025 08:36:44 +0200

libonvif-dmo (3.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Jul 2025 01:27:00 +0200

libonvif-dmo (3.0.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 09:27:33 +0200

libonvif-dmo (2.4.5-dmo3) unstable; urgency=medium

  * Should Build-Depends on python3-setuptools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Mar 2025 16:36:20 +0100

libonvif-dmo (2.4.5-dmo2) unstable; urgency=medium

  * Relax python3-onvif version dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Mar 2025 12:18:31 +0100

libonvif-dmo (2.4.5-dmo1+b1) unstable; urgency=medium

  * Build with latest python3-pyqt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Mar 2025 11:45:20 +0100

libonvif-dmo (2.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jan 2025 09:16:17 +0100

libonvif-dmo (2.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 17:09:10 +0100

libonvif-dmo (2.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 13:31:39 +0100

libonvif-dmo (2.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Jan 2025 09:35:26 +0100

libonvif-dmo (2.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 18:11:02 +0100

libonvif-dmo (2.3.2-dmo2) unstable; urgency=medium

  * Remove unneeded python3-torchvision, libavcodec-dev and libavdevice-dev
    from Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2024 08:21:06 +0100

libonvif-dmo (2.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Nov 2024 09:09:54 +0100

libonvif (1.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062496

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:28:08 +0000

libonvif (1.4.4-1) unstable; urgency=medium

  * Update release (Supersedes version 1.4.3-1).
  * Add record function
  * Add file management

  * Upload sponsored by Petter Reinholdtsen.

 -- Stephen Rhodes <sr99622@gmail.com>  Thu, 05 Jan 2023 09:46:30 +0100

libonvif (1.4.3-1) unstable; urgency=medium

  * Second release (Supersedes version 1.4.2-1).
  * Add custom gui
  * Add network selector
  * Bug fixes

  * Upload sponsored by Petter Reinholdtsen.

 -- Stephen Rhodes <sr99622@gmail.com>  Sat, 17 Dec 2022 07:06:30 +0100

libonvif (1.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1021980).

  * Upload sponsored by Petter Reinholdtsen.

 -- Stephen Rhodes <sr99622@gmail.com>  Tue, 18 Oct 2022 10:35:17 +0200
