=== debian/control ===
Source: libonvif-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sr99622/libonvif/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev, quilt,
 pybuild-plugin-pyproject, cmake, libxml2-dev, libsdl2-dev, pybind11-dev,
 python3-loguru, python3-opencv, python3-liblivemedia, python3-kankakee,
 python3-avio (>= 3.2.5~), python3-setuptools,

## python3-pyside6.qtwidgets,

Package: python3-onvif
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: ONVIF IP camera command line and GUI tools
 The command line tool discover will find compatible cameras on the local
 network and query each of them for their RSTP connection.
 The GUI tool onvif allow configuration of detected cameras.

Package: onvif-gui
Section: utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: ONVIF IP camera GUI
 The command line tool discover will find compatible cameras on the local
 network and query each of them for their RSTP connection.
 The GUI tool onvif allow configuration of detected cameras.

#Package: onvif-tools
#Section: utils
#Architecture: any
#Multi-Arch: foreign
#Depends: ${shlibs:Depends}, ${misc:Depends},
#Recommends: ffplay | vlc
#Description: ONVIF IP camera command line and GUI tools
# The command line tool discover will find compatible cameras on the local
# network and query each of them for their RSTP connection.
# The GUI tool onvif allow configuration of detected cameras.
