=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -Dlibonvif -Spybuild -Bbuild-libonvif
	dh_auto_build -Dlibonvif -Spybuild -Bbuild-libonvif
	dh_auto_install -Dlibonvif -Spybuild -Bonvif-gui --destdir=debian/python3-onvif

	rm -rf .pybuild

	dh_auto_configure -O-Donvif-gui -O-Spybuild -Bbuild-onvif-gui
	dh_auto_build -Donvif-gui -Spybuild -Bbuild-onvif-gui
	dh_auto_install -Donvif-gui -Spybuild -Bbuild-onvif-gui --destdir=debian/onvif-gui

#	rm -rf .pybuild

#	dh_auto_configure -O-Scmake -Bbuild-onvif-util
#	dh_auto_build -Scmake -Bbuild-onvif-util
#	dh_auto_install -Scmake -Bbuild-onvif-gui --destdir=onvif-tools

override_dh_prep override_dh_auto_build override_dh_auto_install override_dh_auto_test:
