=== debian/watch ===
version=4

https://github.com/sr99622/libonvif/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
