## libonvif-dmo 3.3.4

=== libonvif/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 cmake_minimum_required(VERSION 3.17)
 
-project(libonvif VERSION 3.2.7)
+project(libonvif VERSION 3.2.8)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
