=== onvif-util/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 cmake_minimum_required(VERSION 3.17)
 
-project(onvif-util VERSION 1.4.7)
+project(onvif-util VERSION 1.4.9)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
@@ -33,7 +33,7 @@
     find_package(LibXml2 REQUIRED)
 endif()
 
-add_library(libonvif STATIC SHARED
+add_library(libonvif STATIC
     ../libonvif/src/onvif.c
     ../libonvif/src/cencode.c
     ../libonvif/src/sha1.c
