=== debian/changelog ===
libonvif-dmo (3.3.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Jan 2026 00:05:25 +0100

libonvif-dmo (3.1.10-dmo4) unstable; urgency=medium

  * Add onvif-tools package

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Sep 2025 08:22:31 +0200

libonvif-dmo (3.1.10-dmo3) unstable; urgency=medium

  * Really build with libxml2-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Sep 2025 01:44:55 +0200

libonvif-dmo (3.1.10-dmo2) unstable; urgency=medium

  * Build with libxml2-13

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Aug 2025 19:02:54 +0200
